Bug 150997 - DRI on i865 hangs running 2 GL apps
DRI on i865 hangs running 2 GL apps
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 13:41 EST by Rolf Fokkens
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2005-03-13 13:41:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
DRI gets stuck when running 2 GL apps, when one of them is quake2. Running quake2 twice kills DRI, but running both quake2 and glxgears does the same.

[drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 68470613 emitted: 68470614



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766_FC3

How reproducible:
Always

Steps to Reproduce:
1. run quake2 windowed
2. start glxgears

  

Actual Results:  X freezes, then after a while starts to reboot for ever and ever. Disabling DRI in xorg.conf makes X runnable again, but all VTY's are black.

The only solution is to reboot the computer.

Expected Results:  both quake2 and glxgears running windowed.

Additional info:
Comment 1 Dave Jones 2005-07-15 15:51:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Rolf Fokkens 2005-08-21 04:40:07 EDT
Still running FC3, the problem is still there with kernel-2.6.12-1.1372_FC3.
Comment 3 Dave Jones 2006-01-16 17:28:29 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Dave Jones 2006-02-03 01:46:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 09:22:03 EDT
Closing per previous comment.
Comment 6 Rolf Fokkens 2006-05-06 10:08:07 EDT
Bought a NVIDIA 6200 card. I haven't had the opportunity nor the need to test
the i865 problem again. As far as I'm concerned the bug is irrelevant.

Note You need to log in before you can comment on or make changes to this bug.